aboutsummaryrefslogtreecommitdiff
path: root/.local/bin/statusbar/sb-mailbox
diff options
context:
space:
mode:
authorawy <awy@awy.one>2024-08-30 00:33:04 +0300
committerawy <awy@awy.one>2024-08-30 00:33:04 +0300
commit5f77634f707c8d31f508da99ac17a98ca95a1d49 (patch)
tree43880277665619d2c480c9b8714907d660c562c3 /.local/bin/statusbar/sb-mailbox
parent4860e9a5c23e27953816b85e9d7b6544407ac1a7 (diff)
mailbox script
Diffstat (limited to '.local/bin/statusbar/sb-mailbox')
-rwxr-xr-x.local/bin/statusbar/sb-mailbox20
1 files changed, 20 insertions, 0 deletions
diff --git a/.local/bin/statusbar/sb-mailbox b/.local/bin/statusbar/sb-mailbox
new file mode 100755
index 0000000..0fe9556
--- /dev/null
+++ b/.local/bin/statusbar/sb-mailbox
@@ -0,0 +1,20 @@
+#!/bin/sh
+
+# Displays number of unread mail and an loading icon if updating.
+# When clicked, brings up `neomutt`.
+
+case $1 in
+ 1) hyprctl dispatch exec 'kitty -e neomutt'; pkill -RTMIN+12 waybar ;;
+ 2) setsid -f mailsync >/dev/null ;;
+ 3) notify-send "📬 Mail module" "\- Shows unread mail
+- Shows 🔃 if syncing mail
+- Left click opens neomutt
+- Middle click syncs mail" ;;
+ 6) hyprctl dispatch exec "kitty -e \"$EDITOR\" \"$0\"" ;;
+esac
+
+unread="$(find "${XDG_DATA_HOME:-$HOME/.local/share}"/mail/*/[Ii][Nn][Bb][Oo][Xx]/new/* -type f | wc -l 2>/dev/null)"
+
+pidof mailsync >/dev/null 2>&1 && icon="🔃"
+
+[ "$unread" = "0" ] && [ "$icon" = "" ] || echo "📬$unread$icon"